Generation Framework

## org.eclipse.gmf.codegen.gmfgen.provider
Class GMFGenItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.gmf.codegen.gmfgen.util.GMFGenAdapterFactory
              org.eclipse.gmf.codegen.gmfgen.provider.GMFGenItemProviderAdapterFactory

All Implemented Interfaces:
  AdapterFactory, ComposeableAdapterFactory, IChangeNotifier, IDisposable

public class GMFGenItemProviderAdapterFactory
extends GMFGenAdapterFactory
implements ComposeableAdapterFactory, IChangeNotifier, IDisposable

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

** Generated **

Field Summary
`protected IChangeNotifier` `changeNotifier` This is used to implement `IChangeNotifier`
`protected ColorAttributesItemProvider` `colorAttributesItemProvider` This keeps track of the one adapter used for all `ColorAttributes` instances
`protected CompositeFeatureLabelModelFacetItemProvider` `compositeFeatureLabelModelFacetItemProvider` This keeps track of the one adapter used for all `CompositeFeatureLabelModelFacet` instances
`protected CompositeFeatureModelFacetItemProvider` `compositeFeatureModelFacetItemProvider` This keeps track of the one adapter used for all `CompositeFeatureModelFacet` instances
`protected DefaultSizeAttributesItemProvider` `defaultSizeAttributesItemProvider` This keeps track of the one adapter used for all `DefaultSizeAttributes` instances
`protected DesignLabelModelFacetItemProvider` `designLabelModelFacetItemProvider` This keeps track of the one adapter used for all `DesignLabelModelFacet` instances
`protected FeatureLabelModelFacetItemProvider` `featureLabelModelFacetItemProvider` This keeps track of the one adapter used for all `FeatureLabelModelFacet` instances
`protected FeatureLinkModelFacetItemProvider` `featureLinkModelFacetItemProvider` This keeps track of the one adapter used for all `FeatureLinkModelFacet` instances
`protected FeatureModelFacetItemProvider` `featureModelFacetItemProvider` This keeps track of the one adapter used for all `FeatureModelFacet` instances
`protected FigureViewmapItemProvider` `figureViewmapItemProvider` This keeps track of the one adapter used for all `FigureViewmap` instances
`protected GenAuditContainerItemProvider` `genAuditContainerItemProvider` This keeps track of the one adapter used for all `GenAuditContainer` instances
`protected GenAuditedMetricTargetItemProvider` `genAuditedMetricTargetItemProvider` This keeps track of the one adapter used for all `GenAuditedMetricTarget` instances
`protected GenAuditRuleItemProvider` `genAuditRuleItemProvider` This keeps track of the one adapter used for all `GenAuditRule` instances
`protected GenChildLabelNodeItemProvider` `genChildLabelNodeItemProvider` This keeps track of the one adapter used for all `GenChildLabelNode` instances
`protected GenChildNodeItemProvider` `genChildNodeItemProvider` This keeps track of the one adapter used for all `GenChildNode` instances
`protected GenCompartmentItemProvider` `genCompartmentItemProvider` This keeps track of the one adapter used for all `GenCompartment` instances
`protected GenConstraintItemProvider` `genConstraintItemProvider` This keeps track of the one adapter used for all `GenConstraint` instances
`protected GenDiagramElementTargetItemProvider` `genDiagramElementTargetItemProvider` This keeps track of the one adapter used for all `GenDiagramElementTarget` instances
`protected GenDiagramItemProvider` `genDiagramItemProvider` This keeps track of the one adapter used for all `GenDiagram` instances
`protected GenDomainAttributeTargetItemProvider` `genDomainAttributeTargetItemProvider` This keeps track of the one adapter used for all `GenDomainAttributeTarget` instances
`protected GenDomainElementTargetItemProvider` `genDomainElementTargetItemProvider` This keeps track of the one adapter used for all `GenDomainElementTarget` instances
`protected GenEditorGeneratorItemProvider` `genEditorGeneratorItemProvider` This keeps track of the one adapter used for all `GenEditorGenerator` instances
`protected GenEditorViewItemProvider` `genEditorViewItemProvider` This keeps track of the one adapter used for all `GenEditorView` instances
`protected GenExpressionInterpreterItemProvider` `genExpressionInterpreterItemProvider` This keeps track of the one adapter used for all `GenExpressionInterpreter` instances
`protected GenExpressionProviderContainerItemProvider` `genExpressionProviderContainerItemProvider` This keeps track of the one adapter used for all `GenExpressionProviderContainer` instances
`protected GenExternalNodeLabelItemProvider` `genExternalNodeLabelItemProvider` This keeps track of the one adapter used for all `GenExternalNodeLabel` instances
`protected GenFeatureSeqInitializerItemProvider` `genFeatureSeqInitializerItemProvider` This keeps track of the one adapter used for all `GenFeatureSeqInitializer` instances
`protected GenFeatureValueSpecItemProvider` `genFeatureValueSpecItemProvider` This keeps track of the one adapter used for all `GenFeatureValueSpec` instances
`protected GenJavaExpressionProviderItemProvider` `genJavaExpressionProviderItemProvider` This keeps track of the one adapter used for all `GenJavaExpressionProvider` instances
`protected GenLinkConstraintsItemProvider` `genLinkConstraintsItemProvider` This keeps track of the one adapter used for all `GenLinkConstraints` instances
`protected GenLinkItemProvider` `genLinkItemProvider` This keeps track of the one adapter used for all `GenLink` instances
`protected GenLinkLabelItemProvider` `genLinkLabelItemProvider` This keeps track of the one adapter used for all `GenLinkLabel` instances
`protected GenMetricContainerItemProvider` `genMetricContainerItemProvider` This keeps track of the one adapter used for all `GenMetricContainer` instances
`protected GenMetricRuleItemProvider` `genMetricRuleItemProvider` This keeps track of the one adapter used for all `GenMetricRule` instances
`protected GenNodeLabelItemProvider` `genNodeLabelItemProvider` This keeps track of the one adapter used for all `GenNodeLabel` instances
`protected GenNotationElementTargetItemProvider` `genNotationElementTargetItemProvider` This keeps track of the one adapter used for all `GenNotationElementTarget` instances
`protected GenPluginItemProvider` `genPluginItemProvider` This keeps track of the one adapter used for all `GenPlugin` instances
`protected GenTopLevelNodeItemProvider` `genTopLevelNodeItemProvider` This keeps track of the one adapter used for all `GenTopLevelNode` instances
`protected InnerClassViewmapItemProvider` `innerClassViewmapItemProvider` This keeps track of the one adapter used for all `InnerClassViewmap` instances
`protected LabelOffsetAttributesItemProvider` `labelOffsetAttributesItemProvider` This keeps track of the one adapter used for all `LabelOffsetAttributes` instances
`protected MetamodelTypeItemProvider` `metamodelTypeItemProvider` This keeps track of the one adapter used for all `MetamodelType` instances
`protected NotationTypeItemProvider` `notationTypeItemProvider` This keeps track of the one adapter used for all `NotationType` instances
`protected PaletteItemProvider` `paletteItemProvider` This keeps track of the one adapter used for all `Palette` instances
`protected ComposedAdapterFactory` `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory
`protected ParentAssignedViewmapItemProvider` `parentAssignedViewmapItemProvider` This keeps track of the one adapter used for all `ParentAssignedViewmap` instances
`protected ResizeConstraintsItemProvider` `resizeConstraintsItemProvider` This keeps track of the one adapter used for all `ResizeConstraints` instances
`protected SeparatorItemProvider` `separatorItemProvider` This keeps track of the one adapter used for all `Separator` instances
`protected SnippetViewmapItemProvider` `snippetViewmapItemProvider` This keeps track of the one adapter used for all `SnippetViewmap` instances
`protected SpecializationTypeItemProvider` `specializationTypeItemProvider` This keeps track of the one adapter used for all `SpecializationType` instances
`protected StyleAttributesItemProvider` `styleAttributesItemProvider` This keeps track of the one adapter used for all `StyleAttributes` instances
`protected java.util.Collection` `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`
`protected ToolEntryItemProvider` `toolEntryItemProvider` This keeps track of the one adapter used for all `ToolEntry` instances
`protected ToolGroupItemProvider` `toolGroupItemProvider` This keeps track of the one adapter used for all `ToolGroup` instances
`protected TypeLinkModelFacetItemProvider` `typeLinkModelFacetItemProvider` This keeps track of the one adapter used for all `TypeLinkModelFacet` instances
`protected TypeModelFacetItemProvider` `typeModelFacetItemProvider` This keeps track of the one adapter used for all `TypeModelFacet` instances
`protected ValueExpressionItemProvider` `valueExpressionItemProvider` This keeps track of the one adapter used for all `ValueExpression` instances

Fields inherited from class org.eclipse.gmf.codegen.gmfgen.util.GMFGenAdapterFactory
`modelPackage, modelSwitch`

Constructor Summary
`GMFGenItemProviderAdapterFactory()` This constructs an instance

Method Summary
`Adapter` `adapt(Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter
`java.lang.Object` `adapt(java.lang.Object object, java.lang.Object type)`
`void` `addListener(INotifyChangedListener notifyChangedListener)` This adds a listener
`Adapter` `createColorAttributesAdapter()` This creates an adapter for a `ColorAttributes`
`Adapter` `createCompositeFeatureLabelModelFacetAdapter()` This creates an adapter for a `CompositeFeatureLabelModelFacet`
`Adapter` `createCompositeFeatureModelFacetAdapter()` This creates an adapter for a `CompositeFeatureModelFacet`
`Adapter` `createDefaultSizeAttributesAdapter()` This creates an adapter for a `DefaultSizeAttributes`
`Adapter` `createDesignLabelModelFacetAdapter()` This creates an adapter for a `DesignLabelModelFacet`
`Adapter` `createFeatureLabelModelFacetAdapter()` This creates an adapter for a `FeatureLabelModelFacet`
`Adapter` `createFeatureLinkModelFacetAdapter()` This creates an adapter for a `FeatureLinkModelFacet`
`Adapter` `createFeatureModelFacetAdapter()` This creates an adapter for a `FeatureModelFacet`
`Adapter` `createFigureViewmapAdapter()` This creates an adapter for a `FigureViewmap`
`Adapter` `createGenAuditContainerAdapter()` This creates an adapter for a `GenAuditContainer`
`Adapter` `createGenAuditedMetricTargetAdapter()` This creates an adapter for a `GenAuditedMetricTarget`
`Adapter` `createGenAuditRuleAdapter()` This creates an adapter for a `GenAuditRule`
`Adapter` `createGenChildLabelNodeAdapter()` This creates an adapter for a `GenChildLabelNode`
`Adapter` `createGenChildNodeAdapter()` This creates an adapter for a `GenChildNode`
`Adapter` `createGenCompartmentAdapter()` This creates an adapter for a `GenCompartment`
`Adapter` `createGenConstraintAdapter()` This creates an adapter for a `GenConstraint`
`Adapter` `createGenDiagramAdapter()` This creates an adapter for a `GenDiagram`
`Adapter` `createGenDiagramElementTargetAdapter()` This creates an adapter for a `GenDiagramElementTarget`
`Adapter` `createGenDomainAttributeTargetAdapter()` This creates an adapter for a `GenDomainAttributeTarget`
`Adapter` `createGenDomainElementTargetAdapter()` This creates an adapter for a `GenDomainElementTarget`
`Adapter` `createGenEditorGeneratorAdapter()` This creates an adapter for a `GenEditorGenerator`
`Adapter` `createGenEditorViewAdapter()` This creates an adapter for a `GenEditorView`
`Adapter` `createGenExpressionInterpreterAdapter()` This creates an adapter for a `GenExpressionInterpreter`
`Adapter` `createGenExpressionProviderContainerAdapter()` This creates an adapter for a `GenExpressionProviderContainer`
`Adapter` `createGenExternalNodeLabelAdapter()` This creates an adapter for a `GenExternalNodeLabel`
`Adapter` `createGenFeatureSeqInitializerAdapter()` This creates an adapter for a `GenFeatureSeqInitializer`
`Adapter` `createGenFeatureValueSpecAdapter()` This creates an adapter for a `GenFeatureValueSpec`
`Adapter` `createGenJavaExpressionProviderAdapter()` This creates an adapter for a `GenJavaExpressionProvider`
`Adapter` `createGenLinkAdapter()` This creates an adapter for a `GenLink`
`Adapter` `createGenLinkConstraintsAdapter()` This creates an adapter for a `GenLinkConstraints`
`Adapter` `createGenLinkLabelAdapter()` This creates an adapter for a `GenLinkLabel`
`Adapter` `createGenMetricContainerAdapter()` This creates an adapter for a `GenMetricContainer`
`Adapter` `createGenMetricRuleAdapter()` This creates an adapter for a `GenMetricRule`
`Adapter` `createGenNodeLabelAdapter()` This creates an adapter for a `GenNodeLabel`
`Adapter` `createGenNotationElementTargetAdapter()` This creates an adapter for a `GenNotationElementTarget`
`Adapter` `createGenPluginAdapter()` This creates an adapter for a `GenPlugin`
`Adapter` `createGenTopLevelNodeAdapter()` This creates an adapter for a `GenTopLevelNode`
`Adapter` `createInnerClassViewmapAdapter()` This creates an adapter for a `InnerClassViewmap`
`Adapter` `createLabelOffsetAttributesAdapter()` This creates an adapter for a `LabelOffsetAttributes`
`Adapter` `createMetamodelTypeAdapter()` This creates an adapter for a `MetamodelType`
`Adapter` `createNotationTypeAdapter()` This creates an adapter for a `NotationType`
`Adapter` `createPaletteAdapter()` This creates an adapter for a `Palette`
`Adapter` `createParentAssignedViewmapAdapter()` This creates an adapter for a `ParentAssignedViewmap`
`Adapter` `createResizeConstraintsAdapter()` This creates an adapter for a `ResizeConstraints`
`Adapter` `createSeparatorAdapter()` This creates an adapter for a `Separator`
`Adapter` `createSnippetViewmapAdapter()` This creates an adapter for a `SnippetViewmap`
`Adapter` `createSpecializationTypeAdapter()` This creates an adapter for a `SpecializationType`
`Adapter` `createStyleAttributesAdapter()` This creates an adapter for a `StyleAttributes`
`Adapter` `createToolEntryAdapter()` This creates an adapter for a `ToolEntry`
`Adapter` `createToolGroupAdapter()` This creates an adapter for a `ToolGroup`
`Adapter` `createTypeLinkModelFacetAdapter()` This creates an adapter for a `TypeLinkModelFacet`
`Adapter` `createTypeModelFacetAdapter()` This creates an adapter for a `TypeModelFacet`
`Adapter` `createValueExpressionAdapter()` This creates an adapter for a `ValueExpression`
`void` `dispose()` This disposes all of the item providers created by this factory
`void` `fireNotifyChanged(Notification notification)` This delegates to `GMFGenItemProviderAdapterFactory.changeNotifier` and to `GMFGenItemProviderAdapterFactory.parentAdapterFactory`
`ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory
`boolean` `isFactoryForType(java.lang.Object type)`
`void` `removeListener(INotifyChangedListener notifyChangedListener)` This removes a listener
`void` `setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory

Methods inherited from class org.eclipse.gmf.codegen.gmfgen.util.GMFGenAdapterFactory

`createAdapter, createAttributesAdapter, createBatchValidationAdapter, createEditorCandiesAdapter, createEditPartCandiesAdapter, createElementTypeAdapter, createEntryBaseAdapter, createEObjectAdapter, createGenAuditableAdapter, createGenChildContainerAdapter, createGenCommonBaseAdapter, createGenContainerBaseAdapter, createGenElementInitializerAdapter, createGenExpressionProviderBaseAdapter, createGenLabelAdapter, createGenMeasurableAdapter, createGenNodeAdapter, createGenRuleBaseAdapter, createGenRuleContainerBaseAdapter, createGenRuleTargetAdapter, createLabelModelFacetAdapter, createLinkConstraintsAdapter, createLinkModelFacetAdapter, createMeasurementUnitAdapter, createModelFacetAdapter, createPackageNamesAdapter, createProviderClassNamesAdapter, createShortcutsAdapter, createToolGroupItemAdapter, createViewmapAdapter`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Field Detail

### parentAdapterFactory

    protected ComposedAdapterFactory parentAdapterFactory

  This keeps track of the root adapter factory that delegates to this adapter factory.

  ** Generated **

### changeNotifier

    protected IChangeNotifier changeNotifier

  This is used to implement `IChangeNotifier`.

  ** Generated **

### supportedTypes

    protected java.util.Collection supportedTypes

  This keeps track of all the supported types checked by `isFactoryForType`.

  ** Generated **

### genEditorGeneratorItemProvider

    protected GenEditorGeneratorItemProvider genEditorGeneratorItemProvider

  This keeps track of the one adapter used for all `GenEditorGenerator` instances.

  ** Generated **

### genDiagramItemProvider

    protected GenDiagramItemProvider genDiagramItemProvider

  This keeps track of the one adapter used for all `GenDiagram` instances.

  ** Generated **

### genEditorViewItemProvider

    protected GenEditorViewItemProvider genEditorViewItemProvider

  This keeps track of the one adapter used for all `GenEditorView` instances.

  ** Generated **

### genPluginItemProvider

    protected GenPluginItemProvider genPluginItemProvider

  This keeps track of the one adapter used for all `GenPlugin` instances.

  ** Generated **

### genTopLevelNodeItemProvider

    protected GenTopLevelNodeItemProvider genTopLevelNodeItemProvider

  This keeps track of the one adapter used for all `GenTopLevelNode` instances.

  ** Generated **

### genChildNodeItemProvider

    protected GenChildNodeItemProvider genChildNodeItemProvider

  This keeps track of the one adapter used for all `GenChildNode` instances.

  ** Generated **

### genChildLabelNodeItemProvider

    protected GenChildLabelNodeItemProvider genChildLabelNodeItemProvider

  This keeps track of the one adapter used for all `GenChildLabelNode` instances.

  ** Generated **

### genCompartmentItemProvider

    protected GenCompartmentItemProvider genCompartmentItemProvider

  This keeps track of the one adapter used for all `GenCompartment` instances.

  ** Generated **

### genLinkItemProvider

    protected GenLinkItemProvider genLinkItemProvider

  This keeps track of the one adapter used for all `GenLink` instances.

  ** Generated **

### genNodeLabelItemProvider

    protected GenNodeLabelItemProvider genNodeLabelItemProvider

  This keeps track of the one adapter used for all `GenNodeLabel` instances.

  ** Generated **

### genExternalNodeLabelItemProvider

    protected GenExternalNodeLabelItemProvider genExternalNodeLabelItemProvider

  This keeps track of the one adapter used for all `GenExternalNodeLabel` instances.

  ** Generated **

### genLinkLabelItemProvider

    protected GenLinkLabelItemProvider genLinkLabelItemProvider

  This keeps track of the one adapter used for all `GenLinkLabel` instances.

  ** Generated **

### metamodelTypeItemProvider

    protected MetamodelTypeItemProvider metamodelTypeItemProvider

  This keeps track of the one adapter used for all `MetamodelType` instances.

  ** Generated **

### specializationTypeItemProvider

    protected SpecializationTypeItemProvider specializationTypeItemProvider

  This keeps track of the one adapter used for all `SpecializationType` instances.

  ** Generated **

### notationTypeItemProvider

    protected NotationTypeItemProvider notationTypeItemProvider

  This keeps track of the one adapter used for all `NotationType` instances.

  ** Generated **

### typeModelFacetItemProvider

    protected TypeModelFacetItemProvider typeModelFacetItemProvider

  This keeps track of the one adapter used for all `TypeModelFacet` instances.

  ** Generated **

### featureModelFacetItemProvider

    protected FeatureModelFacetItemProvider featureModelFacetItemProvider

  This keeps track of the one adapter used for all `FeatureModelFacet` instances.

  ** Generated **

### compositeFeatureModelFacetItemProvider

    protected CompositeFeatureModelFacetItemProvider compositeFeatureModelFacetItemProvider

  This keeps track of the one adapter used for all `CompositeFeatureModelFacet` instances.

  ** Generated **

### typeLinkModelFacetItemProvider

    protected TypeLinkModelFacetItemProvider typeLinkModelFacetItemProvider

  This keeps track of the one adapter used for all `TypeLinkModelFacet` instances.

  ** Generated **

### featureLinkModelFacetItemProvider

    protected FeatureLinkModelFacetItemProvider featureLinkModelFacetItemProvider

  This keeps track of the one adapter used for all `FeatureLinkModelFacet` instances.

  ** Generated **

### featureLabelModelFacetItemProvider

    protected FeatureLabelModelFacetItemProvider featureLabelModelFacetItemProvider

  This keeps track of the one adapter used for all `FeatureLabelModelFacet` instances.

  ** Generated **

### compositeFeatureLabelModelFacetItemProvider

    protected CompositeFeatureLabelModelFacetItemProvider compositeFeatureLabelModelFacetItemProvider

  This keeps track of the one adapter used for all `CompositeFeatureLabelModelFacet` instances.

  ** Generated **

### designLabelModelFacetItemProvider

    protected DesignLabelModelFacetItemProvider designLabelModelFacetItemProvider

  This keeps track of the one adapter used for all `DesignLabelModelFacet` instances.

  ** Generated **

### colorAttributesItemProvider

    protected ColorAttributesItemProvider colorAttributesItemProvider

  This keeps track of the one adapter used for all `ColorAttributes` instances.

  ** Generated **

### styleAttributesItemProvider

    protected StyleAttributesItemProvider styleAttributesItemProvider

  This keeps track of the one adapter used for all `StyleAttributes` instances.

  ** Generated **

### resizeConstraintsItemProvider

    protected ResizeConstraintsItemProvider resizeConstraintsItemProvider

  This keeps track of the one adapter used for all `ResizeConstraints` instances.

  ** Generated **

### defaultSizeAttributesItemProvider

    protected DefaultSizeAttributesItemProvider defaultSizeAttributesItemProvider

  This keeps track of the one adapter used for all `DefaultSizeAttributes` instances.

  ** Generated **

### labelOffsetAttributesItemProvider

    protected LabelOffsetAttributesItemProvider labelOffsetAttributesItemProvider

  This keeps track of the one adapter used for all `LabelOffsetAttributes` instances.

  ** Generated **

### figureViewmapItemProvider

    protected FigureViewmapItemProvider figureViewmapItemProvider

  This keeps track of the one adapter used for all `FigureViewmap` instances.

  ** Generated **

### snippetViewmapItemProvider

    protected SnippetViewmapItemProvider snippetViewmapItemProvider

  This keeps track of the one adapter used for all `SnippetViewmap` instances.

  ** Generated **

### innerClassViewmapItemProvider

    protected InnerClassViewmapItemProvider innerClassViewmapItemProvider

  This keeps track of the one adapter used for all `InnerClassViewmap` instances.

  ** Generated **

### parentAssignedViewmapItemProvider

    protected ParentAssignedViewmapItemProvider parentAssignedViewmapItemProvider

  This keeps track of the one adapter used for all `ParentAssignedViewmap` instances.

  ** Generated **

### paletteItemProvider

    protected PaletteItemProvider paletteItemProvider

  This keeps track of the one adapter used for all `Palette` instances.

  ** Generated **

### toolEntryItemProvider

    protected ToolEntryItemProvider toolEntryItemProvider

  This keeps track of the one adapter used for all `ToolEntry` instances.

  ** Generated **

### separatorItemProvider

    protected SeparatorItemProvider separatorItemProvider

  This keeps track of the one adapter used for all `Separator` instances.

  ** Generated **

### toolGroupItemProvider

    protected ToolGroupItemProvider toolGroupItemProvider

  This keeps track of the one adapter used for all `ToolGroup` instances.

  ** Generated **

### genFeatureSeqInitializerItemProvider

    protected GenFeatureSeqInitializerItemProvider genFeatureSeqInitializerItemProvider

  This keeps track of the one adapter used for all `GenFeatureSeqInitializer` instances.

  ** Generated **

### genFeatureValueSpecItemProvider

    protected GenFeatureValueSpecItemProvider genFeatureValueSpecItemProvider

  This keeps track of the one adapter used for all `GenFeatureValueSpec` instances.

  ** Generated **

### genLinkConstraintsItemProvider

    protected GenLinkConstraintsItemProvider genLinkConstraintsItemProvider

  This keeps track of the one adapter used for all `GenLinkConstraints` instances.

  ** Generated **

### genAuditContainerItemProvider

    protected GenAuditContainerItemProvider genAuditContainerItemProvider

  This keeps track of the one adapter used for all `GenAuditContainer` instances.

  ** Generated **

### genAuditRuleItemProvider

    protected GenAuditRuleItemProvider genAuditRuleItemProvider

  This keeps track of the one adapter used for all `GenAuditRule` instances.

  ** Generated **

### genDomainElementTargetItemProvider

    protected GenDomainElementTargetItemProvider genDomainElementTargetItemProvider

  This keeps track of the one adapter used for all `GenDomainElementTarget` instances.

  ** Generated **

### genDiagramElementTargetItemProvider

    protected GenDiagramElementTargetItemProvider genDiagramElementTargetItemProvider

  This keeps track of the one adapter used for all `GenDiagramElementTarget` instances.

  ** Generated **

### genDomainAttributeTargetItemProvider

    protected GenDomainAttributeTargetItemProvider genDomainAttributeTargetItemProvider

  This keeps track of the one adapter used for all `GenDomainAttributeTarget` instances.

  ** Generated **

### genNotationElementTargetItemProvider

    protected GenNotationElementTargetItemProvider genNotationElementTargetItemProvider

  This keeps track of the one adapter used for all `GenNotationElementTarget` instances.

  ** Generated **

### genMetricContainerItemProvider

    protected GenMetricContainerItemProvider genMetricContainerItemProvider

  This keeps track of the one adapter used for all `GenMetricContainer` instances.

  ** Generated **

### genMetricRuleItemProvider

    protected GenMetricRuleItemProvider genMetricRuleItemProvider

  This keeps track of the one adapter used for all `GenMetricRule` instances.

  ** Generated **

### genAuditedMetricTargetItemProvider

    protected GenAuditedMetricTargetItemProvider genAuditedMetricTargetItemProvider

  This keeps track of the one adapter used for all `GenAuditedMetricTarget` instances.

  ** Generated **

### genExpressionProviderContainerItemProvider

    protected GenExpressionProviderContainerItemProvider genExpressionProviderContainerItemProvider

  This keeps track of the one adapter used for all `GenExpressionProviderContainer` instances.

  ** Generated **

### genJavaExpressionProviderItemProvider

    protected GenJavaExpressionProviderItemProvider genJavaExpressionProviderItemProvider

  This keeps track of the one adapter used for all `GenJavaExpressionProvider` instances.

  ** Generated **

### genExpressionInterpreterItemProvider

    protected GenExpressionInterpreterItemProvider genExpressionInterpreterItemProvider

  This keeps track of the one adapter used for all `GenExpressionInterpreter` instances.

  ** Generated **

### valueExpressionItemProvider

    protected ValueExpressionItemProvider valueExpressionItemProvider

  This keeps track of the one adapter used for all `ValueExpression` instances.

  ** Generated **

### genConstraintItemProvider

    protected GenConstraintItemProvider genConstraintItemProvider

  This keeps track of the one adapter used for all `GenConstraint` instances.

  ** Generated **

Constructor Detail

### GMFGenItemProviderAdapterFactory

    public GMFGenItemProviderAdapterFactory()

  This constructs an instance.

** Generated **

Method Detail

### createGenEditorGeneratorAdapter

    public Adapter createGenEditorGeneratorAdapter()

  This creates an adapter for a `GenEditorGenerator`.

  Overrides:
    `createGenEditorGeneratorAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenEditorGenerator`
  ** Generated **

### createGenDiagramAdapter

    public Adapter createGenDiagramAdapter()

  This creates an adapter for a `GenDiagram`.

  Overrides:
    `createGenDiagramAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenDiagram`
  ** Generated **

### createGenEditorViewAdapter

    public Adapter createGenEditorViewAdapter()

  This creates an adapter for a `GenEditorView`.

  Overrides:
    `createGenEditorViewAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenEditorView`
  ** Generated **

### createGenPluginAdapter

    public Adapter createGenPluginAdapter()

  This creates an adapter for a `GenPlugin`.

  Overrides:
    `createGenPluginAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenPlugin`
  ** Generated **

### createGenTopLevelNodeAdapter

    public Adapter createGenTopLevelNodeAdapter()

  This creates an adapter for a `GenTopLevelNode`.

  Overrides:
    `createGenTopLevelNodeAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenTopLevelNode`
  ** Generated **

### createGenChildNodeAdapter

    public Adapter createGenChildNodeAdapter()

  This creates an adapter for a `GenChildNode`.

  Overrides:
    `createGenChildNodeAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenChildNode`
  ** Generated **

### createGenChildLabelNodeAdapter

    public Adapter createGenChildLabelNodeAdapter()

  This creates an adapter for a `GenChildLabelNode`.

  Overrides:
    `createGenChildLabelNodeAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenChildLabelNode`
  ** Generated **

### createGenCompartmentAdapter

    public Adapter createGenCompartmentAdapter()

  This creates an adapter for a `GenCompartment`.

  Overrides:
    `createGenCompartmentAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenCompartment`
  ** Generated **

### createGenLinkAdapter

    public Adapter createGenLinkAdapter()

  This creates an adapter for a `GenLink`.

  Overrides:
    `createGenLinkAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenLink`
  ** Generated **

### createGenNodeLabelAdapter

    public Adapter createGenNodeLabelAdapter()

  This creates an adapter for a `GenNodeLabel`.

  Overrides:
    `createGenNodeLabelAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenNodeLabel`
  ** Generated **

### createGenExternalNodeLabelAdapter

    public Adapter createGenExternalNodeLabelAdapter()

  This creates an adapter for a `GenExternalNodeLabel`.

  Overrides:
    `createGenExternalNodeLabelAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenExternalNodeLabel`
  ** Generated **

### createGenLinkLabelAdapter

    public Adapter createGenLinkLabelAdapter()

  This creates an adapter for a `GenLinkLabel`.

  Overrides:
    `createGenLinkLabelAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenLinkLabel`
  ** Generated **

### createMetamodelTypeAdapter

    public Adapter createMetamodelTypeAdapter()

  This creates an adapter for a `MetamodelType`.

  Overrides:
    `createMetamodelTypeAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `MetamodelType`
  ** Generated **

### createSpecializationTypeAdapter

    public Adapter createSpecializationTypeAdapter()

  This creates an adapter for a `SpecializationType`.

  Overrides:
    `createSpecializationTypeAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SpecializationType`
  ** Generated **

### createNotationTypeAdapter

    public Adapter createNotationTypeAdapter()

  This creates an adapter for a `NotationType`.

  Overrides:
    `createNotationTypeAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `NotationType`
  ** Generated **

### createTypeModelFacetAdapter

    public Adapter createTypeModelFacetAdapter()

  This creates an adapter for a `TypeModelFacet`.

  Overrides:
    `createTypeModelFacetAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `TypeModelFacet`
  ** Generated **

### createFeatureModelFacetAdapter

    public Adapter createFeatureModelFacetAdapter()

  This creates an adapter for a `FeatureModelFacet`.

  Overrides:
    `createFeatureModelFacetAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FeatureModelFacet`
  ** Generated **

### createCompositeFeatureModelFacetAdapter

    public Adapter createCompositeFeatureModelFacetAdapter()

  This creates an adapter for a `CompositeFeatureModelFacet`.

  Overrides:
    `createCompositeFeatureModelFacetAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CompositeFeatureModelFacet`
  ** Generated **

### createTypeLinkModelFacetAdapter

    public Adapter createTypeLinkModelFacetAdapter()

  This creates an adapter for a `TypeLinkModelFacet`.

  Overrides:
    `createTypeLinkModelFacetAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `TypeLinkModelFacet`
  ** Generated **

### createFeatureLinkModelFacetAdapter

    public Adapter createFeatureLinkModelFacetAdapter()

  This creates an adapter for a `FeatureLinkModelFacet`.

  Overrides:
    `createFeatureLinkModelFacetAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FeatureLinkModelFacet`
  ** Generated **

### createFeatureLabelModelFacetAdapter

    public Adapter createFeatureLabelModelFacetAdapter()

  This creates an adapter for a `FeatureLabelModelFacet`.

  Overrides:
    `createFeatureLabelModelFacetAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FeatureLabelModelFacet`
  ** Generated **

### createCompositeFeatureLabelModelFacetAdapter

    public Adapter createCompositeFeatureLabelModelFacetAdapter()

  This creates an adapter for a `CompositeFeatureLabelModelFacet`.

  Overrides:
    `createCompositeFeatureLabelModelFacetAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CompositeFeatureLabelModelFacet`
  ** Generated **

### createDesignLabelModelFacetAdapter

    public Adapter createDesignLabelModelFacetAdapter()

  This creates an adapter for a `DesignLabelModelFacet`.

  Overrides:
    `createDesignLabelModelFacetAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DesignLabelModelFacet`
  ** Generated **

### createColorAttributesAdapter

    public Adapter createColorAttributesAdapter()

  This creates an adapter for a `ColorAttributes`.

  Overrides:
    `createColorAttributesAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ColorAttributes`
  ** Generated **

### createStyleAttributesAdapter

    public Adapter createStyleAttributesAdapter()

  This creates an adapter for a `StyleAttributes`.

  Overrides:
    `createStyleAttributesAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `StyleAttributes`
  ** Generated **

### createResizeConstraintsAdapter

    public Adapter createResizeConstraintsAdapter()

  This creates an adapter for a `ResizeConstraints`.

  Overrides:
    `createResizeConstraintsAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ResizeConstraints`
  ** Generated **

### createDefaultSizeAttributesAdapter

    public Adapter createDefaultSizeAttributesAdapter()

  This creates an adapter for a `DefaultSizeAttributes`.

  Overrides:
    `createDefaultSizeAttributesAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DefaultSizeAttributes`
  ** Generated **

### createLabelOffsetAttributesAdapter

    public Adapter createLabelOffsetAttributesAdapter()

  This creates an adapter for a `LabelOffsetAttributes`.

  Overrides:
    `createLabelOffsetAttributesAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `LabelOffsetAttributes`
  ** Generated **

### createFigureViewmapAdapter

    public Adapter createFigureViewmapAdapter()

  This creates an adapter for a `FigureViewmap`.

  Overrides:
    `createFigureViewmapAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FigureViewmap`
  ** Generated **

### createSnippetViewmapAdapter

    public Adapter createSnippetViewmapAdapter()

  This creates an adapter for a `SnippetViewmap`.

  Overrides:
    `createSnippetViewmapAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SnippetViewmap`
  ** Generated **

### createInnerClassViewmapAdapter

    public Adapter createInnerClassViewmapAdapter()

  This creates an adapter for a `InnerClassViewmap`.

  Overrides:
    `createInnerClassViewmapAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `InnerClassViewmap`
  ** Generated **

### createParentAssignedViewmapAdapter

    public Adapter createParentAssignedViewmapAdapter()

  This creates an adapter for a `ParentAssignedViewmap`.

  Overrides:
    `createParentAssignedViewmapAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ParentAssignedViewmap`
  ** Generated **

### createPaletteAdapter

    public Adapter createPaletteAdapter()

  This creates an adapter for a `Palette`.

  Overrides:
    `createPaletteAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Palette`
  ** Generated **

### createToolEntryAdapter

    public Adapter createToolEntryAdapter()

  This creates an adapter for a `ToolEntry`.

  Overrides:
    `createToolEntryAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ToolEntry`
  ** Generated **

### createSeparatorAdapter

    public Adapter createSeparatorAdapter()

  This creates an adapter for a `Separator`.

  Overrides:
    `createSeparatorAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Separator`
  ** Generated **

### createToolGroupAdapter

    public Adapter createToolGroupAdapter()

  This creates an adapter for a `ToolGroup`.

  Overrides:
    `createToolGroupAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ToolGroup`
  ** Generated **

### createGenFeatureSeqInitializerAdapter

    public Adapter createGenFeatureSeqInitializerAdapter()

  This creates an adapter for a `GenFeatureSeqInitializer`.

  Overrides:
    `createGenFeatureSeqInitializerAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenFeatureSeqInitializer`
  ** Generated **

### createGenFeatureValueSpecAdapter

    public Adapter createGenFeatureValueSpecAdapter()

  This creates an adapter for a `GenFeatureValueSpec`.

  Overrides:
    `createGenFeatureValueSpecAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenFeatureValueSpec`
  ** Generated **

### createGenLinkConstraintsAdapter

    public Adapter createGenLinkConstraintsAdapter()

  This creates an adapter for a `GenLinkConstraints`.

  Overrides:
    `createGenLinkConstraintsAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenLinkConstraints`
  ** Generated **

### createGenAuditContainerAdapter

    public Adapter createGenAuditContainerAdapter()

  This creates an adapter for a `GenAuditContainer`.

  Overrides:
    `createGenAuditContainerAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenAuditContainer`
  ** Generated **

### createGenAuditRuleAdapter

    public Adapter createGenAuditRuleAdapter()

  This creates an adapter for a `GenAuditRule`.

  Overrides:
    `createGenAuditRuleAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenAuditRule`
  ** Generated **

### createGenDomainElementTargetAdapter

    public Adapter createGenDomainElementTargetAdapter()

  This creates an adapter for a `GenDomainElementTarget`.

  Overrides:
    `createGenDomainElementTargetAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenDomainElementTarget`
  ** Generated **

### createGenDiagramElementTargetAdapter

    public Adapter createGenDiagramElementTargetAdapter()

  This creates an adapter for a `GenDiagramElementTarget`.

  Overrides:
    `createGenDiagramElementTargetAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenDiagramElementTarget`
  ** Generated **

### createGenDomainAttributeTargetAdapter

    public Adapter createGenDomainAttributeTargetAdapter()

  This creates an adapter for a `GenDomainAttributeTarget`.

  Overrides:
    `createGenDomainAttributeTargetAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenDomainAttributeTarget`
  ** Generated **

### createGenNotationElementTargetAdapter

    public Adapter createGenNotationElementTargetAdapter()

  This creates an adapter for a `GenNotationElementTarget`.

  Overrides:
    `createGenNotationElementTargetAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenNotationElementTarget`
  ** Generated **

### createGenMetricContainerAdapter

    public Adapter createGenMetricContainerAdapter()

  This creates an adapter for a `GenMetricContainer`.

  Overrides:
    `createGenMetricContainerAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenMetricContainer`
  ** Generated **

### createGenMetricRuleAdapter

    public Adapter createGenMetricRuleAdapter()

  This creates an adapter for a `GenMetricRule`.

  Overrides:
    `createGenMetricRuleAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenMetricRule`
  ** Generated **

### createGenAuditedMetricTargetAdapter

    public Adapter createGenAuditedMetricTargetAdapter()

  This creates an adapter for a `GenAuditedMetricTarget`.

  Overrides:
    `createGenAuditedMetricTargetAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenAuditedMetricTarget`
  ** Generated **

### createGenExpressionProviderContainerAdapter

    public Adapter createGenExpressionProviderContainerAdapter()

  This creates an adapter for a `GenExpressionProviderContainer`.

  Overrides:
    `createGenExpressionProviderContainerAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenExpressionProviderContainer`
  ** Generated **

### createGenJavaExpressionProviderAdapter

    public Adapter createGenJavaExpressionProviderAdapter()

  This creates an adapter for a `GenJavaExpressionProvider`.

  Overrides:
    `createGenJavaExpressionProviderAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenJavaExpressionProvider`
  ** Generated **

### createGenExpressionInterpreterAdapter

    public Adapter createGenExpressionInterpreterAdapter()

  This creates an adapter for a `GenExpressionInterpreter`.

  Overrides:
    `createGenExpressionInterpreterAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenExpressionInterpreter`
  ** Generated **

### createValueExpressionAdapter

    public Adapter createValueExpressionAdapter()

  This creates an adapter for a `ValueExpression`.

  Overrides:
    `createValueExpressionAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpression`
  ** Generated **

### createGenConstraintAdapter

    public Adapter createGenConstraintAdapter()

  This creates an adapter for a `GenConstraint`.

  Overrides:
    `createGenConstraintAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenConstraint`
  ** Generated **

### getRootAdapterFactory

    public ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

  Specified by:
    `getRootAdapterFactory` in interface `ComposeableAdapterFactory`
  ** Generated **

### setParentAdapterFactory

    public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

  Specified by:
    `setParentAdapterFactory` in interface `ComposeableAdapterFactory`
  ** Generated **

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Specified by:
    `isFactoryForType` in interface `AdapterFactory`
  Overrides:
    `isFactoryForType` in class `GMFGenAdapterFactory`
  Returns:
    whether this factory is applicable for the type of the object.
  ** Generated **

### adapt

    public Adapter adapt(Notifier notifier,
                         java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

  Specified by:
    `adapt` in interface `AdapterFactory`
  ** Generated **

### adapt

    public java.lang.Object adapt(java.lang.Object object,
                                  java.lang.Object type)

  Specified by:
    `adapt` in interface `AdapterFactory`
  ** Generated **

### addListener

    public void addListener(INotifyChangedListener notifyChangedListener)

  This adds a listener.

  Specified by:
    `addListener` in interface `IChangeNotifier`
  ** Generated **

### removeListener

    public void removeListener(INotifyChangedListener notifyChangedListener)

  This removes a listener.

  Specified by:
    `removeListener` in interface `IChangeNotifier`
  ** Generated **

### fireNotifyChanged

    public void fireNotifyChanged(Notification notification)

  This delegates to `GMFGenItemProviderAdapterFactory.changeNotifier` and to `GMFGenItemProviderAdapterFactory.parentAdapterFactory`.

  Specified by:
    `fireNotifyChanged` in interface `IChangeNotifier`
  ** Generated **

### dispose

    public void dispose()

  This disposes all of the item providers created by this factory.

  Specified by:
    `dispose` in interface `IDisposable`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.